# Maintainer: tioguda <guda.flavio@gmail.com>

pkgname=epson-inkjet-printer-escpr2
pkgver=1.1.43
pkgrel=1
pkgdesc="Epson Inkjet Printer Driver 2 (ESC/P-R) for Linux"
arch=('i686' 'x86_64' 'armv6h' 'armv7h')
url="http://download.ebz.epson.net/dsc/search/01/search/?OSC=LX"
license=('GPL2')
depends=('cups' 'ghostscript')
optdepends=('imagescan: scanner support')
provides=('epson-driver')
options=('!libtool')
_source=03/00/13/23/61/a0ff44d7b0b329f24b632b2b45e148c9a2660c90
source=("https://download3.ebz.epson.net/dsc/f/${_source}/${pkgname}-${pkgver}-1lsb3.2.src.rpm"
        'bug_x86_64.patch')
sha256sums=('49145ed1d7c3f5fa28262600a57c359ed5237ca805c110b8f4ffe0a2b5c4499a'
            'ae480931863a195fb924fc5e5ea00478b3faa6cfb1507919d462f122be7d7084')

prepare() {
    tar xvf "$pkgname-$pkgver"-1lsb3.2.tar.gz

    cd "$pkgname-$pkgver"

    patch -p1 -i "${srcdir}/bug_x86_64.patch"
}

build() {
    cd "$pkgname-$pkgver"

    autoreconf -f -i

    ./configure --prefix=/usr \
        --with-cupsfilterdir=/usr/lib/cups/filter \
        --with-cupsppddir=/usr/share/ppd
    make
}

package() {
    cd "$pkgname-$pkgver"
    make DESTDIR="$pkgdir" install
}
